Subject: Re: bug#10688: The default mode for Perl should be cperl-mode instead of perl-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 25 Oct 2012 14:25:19 -0400

> Last time I used perl-mode *was* a long time ago, but it had broken syntax
> highlighting and things like indentation couldn't take account of perl
> syntax very well. 

Syntax highlighting has been improved significantly.  It's not as gaudy
as cperl-mode, but in terms of not-getting-confused it's not too far
from cperl-mode, in my experience.  Of course, I'm biased, since I wrote
all that perl-mode syntax-highlighting code.

> Perhaps I should try and look at the latest perl mode for a fair comparison,
> and or to remember what else I hated and whether any of it is still true.

I don't have much time to devote to it, but I generally try to fix bugs
in perl-mode (especially syntax-highlighting and indentation ones), and
I'm willing to try to retrofit specific cperl-mode features into it.

        Stefan